## q4wine 1.1-r1

=== debian/changelog ===
q4wine (1.1-r1-1) unstable; urgency=low

  * Update to stable release 1.1-r1.

 -- Boris Pek <tehnick@debian.org>  Mon, 02 Dec 2013 01:46:17 +0200

q4wine (1.1-1) unstable; urgency=low

  * Update to stable release 1.1.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Delete obsolete DM-Upload-Allowed field from debian/control.
  * Update get-orig-source section in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Thu, 14 Nov 2013 23:12:34 +0200
