=== debian/control ===
Source: q4wine
Section: otherosfs
Priority: optional
Maintainer: Boris Pek <tehnick@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, autotools-dev, fakeroot,
 libqt4-dev (>=4.4.0), qt4-dev-tools (>=4.4.0), qt4-qtconfig (>=4.4.0),
 libfuse2 [!hurd-i386], libfuse-dev [!hurd-i386],
 icoutils (>=0.26.0), libkvm-dev [kfreebsd-any]
Homepage: http://q4wine.brezblock.org.ua/
Vcs-Git: git://github.com/tehnick/q4wine-debian.git
Vcs-Browser: https://github.com/tehnick/q4wine-debian
Standards-Version: 3.9.4

Package: q4wine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-sql-sqlite, icoutils (>=0.26.0), wget, sudo
Recommends: wine-bin [any-i386 any-powerpc any-sparc] |
 wine-bin-unstable [any-i386 any-powerpc any-sparc] |
 wine64-bin [any-amd64] | wine64-bin-unstable [any-amd64] |
 wine [amd64 i386] | wine1.2 [amd64 i386] | wine1.3 [amd64 i386] |
 wine1.4 [amd64 i386] | wine1.5 [amd64 i386]
Suggests: fuseiso [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Replaces: q4wine-unstable
Conflicts: q4wine-unstable
Description: Qt4 GUI for wine (WINE)
 Q4Wine will help you manage wine prefixes and installed applications.
 .
 General features:
  - Can export Qt color theme into wine colors settings.
  - Can easy work with different wine versions at same time.
  - Easy creating, deleting and managing prefixes (WINEPREFIX).
  - Easy controlling for wine process.
  - Easy installer wizard for wine applications.
  - Autostart icons support.
  - Easy CD-image use.
  - You can extract icons from PE files (.exe .dll).
  - Easy backup and restore for managed prefixes.
  - Winetricks support.
  - And more...
