## q4wine 1.1-r2

=== debian/changelog ===
q4wine (1.1-r2-1) unstable; urgency=medium

  * Update to stable release 1.1-r2.
  * Bump Standards-Version to 3.9.5 (was 3.9.5): no changes required.

 -- Boris Pek <tehnick@debian.org>  Tue, 17 Dec 2013 22:21:52 +0400
