=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://q4wine.brezblock.org.ua/
 Vcs-Git: git://github.com/tehnick/q4wine-debian.git
 Vcs-Browser: https://github.com/tehnick/q4wine-debian
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: q4wine
 Architecture: any
