=== debian/watch ===
version=3
http://sf.net/q4wine/q4wine-(.+)\.tar\.bz2 \
debian uupdate
